﻿using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using GGJ_Engine;

namespace GGJ_Game.InterfaceElements
{
    public class InterfaceElementButton1 : InterfaceElement
    {
        public string TextureName { get; set; }

        public InterfaceElementButton1(ContentManager content) :
            base(content)
        {
        }

        public override void LoadContent()
        {
            this.inactiveTexture = content.Load<Texture2D>("screens/button2");
            this.pressedTexture = content.Load<Texture2D>("screens/button2_active");
            this.hoverTexture = content.Load<Texture2D>("screens/button2_hover");
            this.disabledTexture = null;
        }
    }
}
