﻿using System;
using Microsoft.Xna.Framework.Graphics;

namespace GGJ_Game
{
    /// <summary>
    /// This is the an sprite sheet texture for an animation
    /// </summary>
    class SpriteSheet
    {
        public Texture2D Texture
        {
            get { return texture; }
            set { texture = value; }
        }
        Texture2D texture;
        public float FrameTime
        {
            get { return frameTime; }
        }
        float frameTime;
        bool isLooping;

        public SpriteSheet(Texture2D texture, float frameTime, bool isLooping)
        {
            this.texture = texture;
            this.frameTime = frameTime;
            this.isLooping = isLooping;
        }

        public int FrameCount()
        {
            return (texture.Width / FrameHeight());
        }

        public int FrameHeight()
        {
            return texture.Height;
        }

        public int FrameWidth()
        {
            // Assume square textures
            return texture.Height;
        }

    }
}
